Detected country: US
logo
API Docs

Getting Started

  • How to get started with Cobalt

Assets

  • Assets are what we pentest
  • Asset Types
  • Create an Asset
  • Risk Advisories

Pentests

  • Pentests
  • Create a Pentest
    • Overview
    • Asset Details
    • Pentest Details
    • Scope & Test Period
    • Preparation
  • Create an Autonomous Pentest
    • Launch a Saved Autonomous Pentest
    • Review a Closed Autonomous Pentest Report
  • Pentest Process
  • Pentest States
  • Coverage Checklist
  • Pentest Expectations
  • In House Pentests
    • Complete an In-House Pentest (For Pentesters)
    • Set Up an In-House Pentest
  • Findings
    • Remediate Findings
    • Finding States
    • Severity Levels
  • Reports
    • Contents of a Pentest Report
    • Customize Your Report
    • Co-branded Reports
  • Preparation

Engagements

  • Engagements Overview
  • Digital Risk Assessment
  • Secure Code Review

Findings

  • Findings

Insights

  • Insights

Planning

  • Planning

Methodologies

  • Cobalt Methodologies Overview
  • Web Methodologies
  • Autonomous Web Methodologies
  • API Methodologies
  • External Network Methodologies
  • Internal Network Methodologies
  • Mobile Methodologies
  • Cloud Configuration Review Methodologies
  • Cloud Pentest Methodology
  • Desktop Methodologies
  • AI/LLM Methodologies
  • Digital Risk Assessment Methodology
  • Secure Code Review Methodologies

Attack Surface

  • Attack Surface Monitoring (ASM)

DAST Scanner

  • DAST Scanner Overview
  • Best Practices
  • FAQ
  • Integrations
  • Partial Scans: Reduced Scope
  • Scans
  • Sequence recorder
  • Targets
  • Target Authentication
  • Extra Hosts
  • Blackout Period

User Account

  • Account Overview
  • Account Settings
  • Password Best Practices
  • Sign In to Cobalt
  • Troubleshoot Sign-in Issues

Collaboration

  • Collaboration Overview
  • Collaborate on Pentests
  • Groups
  • Manage Pentest Collaborators
  • User Roles and Permissions
  • Manage Notifications

Organization

  • Organization Overview
  • Manage Users
  • Your Cobalt Contract
  • Configure Organization Settings
    • Configure SAML SSO
    • SAML Migration: Update Your Configuration
    • SCIM Provisioning Setup Guide

Credits

  • Cobalt PtaaS Tiers
  • Cobalt Credits
  • Track Your Credits

Integrations

  • Cobalt Integrations Overview
  • Integration Builder
    • Connect your applications
    • How to Guides
      • Create Azure DevOps Work Item for Findings
      • Create GitHub tickets for Findings
      • Create GitLab tickets for Findings
      • Send email notifications for Findings from Outlook
      • Send MS Teams notifications for Findings
      • Create Jira tickets for Findings
      • HTTP Connector
      • Import Assets from Google Sheets
      • Map Cobalt Pentest Finding Severity to Jira Issue Priority
      • Modify Jira Issue Summary to contain Pentest Title
    • Troubleshooting
  • Integrate Jira with Cobalt
    • Jira Cloud Integration
    • Jira Data Center Integration
    • Push Cobalt Findings to Jira
    • Synchronize Cobalt Severity Levels with Jira
    • Switching to a New Jira Instance
    • Troubleshoot Your Jira Integration
  • Slack
  • Microsoft Teams
  • Webhooks
  • DefectDojo
  • Kenna Security
  • Vanta
  • Carried Over Findings
  • Create Test Finding
  • Wiz

Cobalt API

  • Cobalt API Overview
  • Create a Personal Cobalt API Token
  • Get an Organization Token
  • Revoke Your Personal Cobalt API Tokens
  • Create or Modify an Asset
  • Import Findings to Google Sheets

Glossary

  • Glossary

What's New

  • May 2026
  • April 2026
  • March 2026
  • February 2026
  • January 2026
  • November 2025 
  • August 2025
  • July 2025
  • June 2025
  • May 2025
  • April 2025
  • March 2025
  • January 2025
  • December 2024
  • November 2024
  • October 2024
  • September 2024
  • August 2024
  • July 2024
  • June 2024
  • May 2024
  • April 2024
  • March 2024
  • January 2024
  • Product Updates
  • August 2026
‌
‌
‌
logo

Powered by

Assistant

Ask new question

Powered by
  • Home
  • Cobalt API
  • Findings

Findings

5min read

Share

Get All Findings

This endpoint retrieves a list of all pentest findings that belong to the organization specified in the X-Org-Token header, filterable by pentest_id or asset_id. The log array presents a history of each finding and corresponding timestamp.

Calculations

We follow the standard risk model described by OWASP, where:

Risk = Impact * Likelihood

Cobalt Risk Input Fields:

  • impact: 1, 2, 3, 4, or 5
  • likelihood: 1, 2, 3, 4, or 5

Cobalt Risk Classification (severity, a.k.a. criticality):

CategoryScoreDescription
critical25Includes vulnerabilities that require immediate attention.
high16-24Impacts the security of your application/platform/hardware, including supported systems. Includes high probability vulnerabilities with a high business impact.
medium5-15Includes vulnerabilities that are: medium risk, medium impact; low risk, high impact; high risk, low impact.
low2-4Specifies common vulnerabilities with minimal impact.
informational1Notes vulnerabilities of minimal risk to your business.

HTTP Request

GET https://api.us.cobalt.io/findings

GET https://api.us.cobalt.io/findings?pentest=pt_9Ig1234

GET https://api.us.cobalt.io/findings?asset=as_cwrsqsL

URL Parameters

ParameterDefaultDescription
cursorN/AUsed for pagination. Example: \nhttps://api.us.cobalt.io/findings?cursor=a1b2c3d4
limit1000If specified, returns only a specified amount of findings. Example: \nhttps://api.us.cobalt.io/findings?limit=5
pentestN/AIf specified, returns findings scoped to this pentest id. Example: \nhttps://api.us.cobalt.io/findings?pentest=pt_9Ig1234
assetN/AIf specified, returns findings scoped to this asset id. Example: \nhttps://api.us.cobalt.io/findings?asset=as_cwrsqsL

Response Fields

FieldEnum Types
logcreated, impact_changed, likelihood_changed, state_changed
severitynull, low, medium, high (aka criticality. will be null if likelihood/impact have not yet been set by the pentester)
statenew, triaging, need_fix, wont_fix, valid_fix, check_fix, invalid, carried_over
type_categoryXSS, SQLi, … (about 30 more via the Cobalt Taxonomy)
links.ui.urlA link to redirect an authorized user to this finding in the Cobalt web application

State

  • new: The finding has been created but not yet triaged.
  • triaging: The finding is being evaluated.
  • need_fix: The finding was deemed valid and a fix either is being developed or will be developed in the future.
  • wont_fix: The finding was deemed valid but immaterial or meaningless and will not be addressed.
  • check_fix: A fix has been applied and now is awaiting validation by the pentester.
  • invalid: The finding was rejected as not being a true vulnerability.
  • carried_over: The finding was carried over from a previous pentest.
curl -X GET "https://api.us.cobalt.io/findings" \
  -H "Accept: application/vnd.cobalt.v1+json" \
  -H "Authorization: Bearer YOUR-PERSONAL-API-TOKEN" \
  -H "X-Org-Token: YOUR-V1-ORGANIZATION-TOKEN"

The above command returns JSON structured like this:

{
  "data": [
    {
      "resource": {
        "id": "vu_ZzZuekb",
        "tag": "#PT3334_37",
        "title": "XSS vulnerability",
        "description": "Cross-Site Scripting (XSS) attacks are a type of injection, in which malicious scripts...",
        "type_category": "Cross-Site Scripting (XSS)",
        "labels": [
          {
            "name": "Your label"
          }
        ],
        "impact": 5,
        "likelihood": 4,
        "severity": "high",
        "affected_targets": [
          "https://example.com",
          "192.168.1.1"
        ],
        "proof_of_concept": "Here you can see...",
        "suggested_fix": "Ensure this...",
        "pentest_id": "pt_9Ig1234",
        "asset_id": "as_cwrsqsL",
        "log": [
          {
            "action": "created",
            "timestamp": "2021-04-01T15:13:24.322Z"
          },
          {
            "action": "likelihood_changed",
            "value": 4,
            "timestamp": "2021-04-01T15:14:05.856Z"
          },
          {
            "action": "impact_changed",
            "value": 5,
            "timestamp": "2021-04-01T15:14:05.856Z"
          },
          {
            "action": "state_changed",
            "value": "need_fix",
            "timestamp": "2021-04-01T15:14:06.757Z"
          },
          {
            "action": "state_changed",
            "value": "check_fix",
            "timestamp": "2021-04-01T15:14:57.845Z"
          }
        ],
        "state": "check_fix"
      },
      "links": {
        "ui": {
          "url": "https://api.us.cobalt.io/links/eyJ0eXBlIjoic29tZXRoaW5nIiwib3JnU2x1ZyI6ImNvYmFsdCIsInBlbnRlc3RUYWciOiJz="
        }
      }
    }
  ],
  "pagination": {
    "next_page": "/findings?cursor=a1b2c3d4",
    "prev_page": "/findings?cursor=4d3c2b1a"
  }
}

:::info Remember - you can only request findings scoped to the organization specified in the X-Org-Token header.

:::

Share